Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class CMSAuthenticatedDataGenerator

    java.lang.Object
      org.bouncycastle.cms.CMSEnvelopedGenerator
          org.bouncycastle.cms.CMSAuthenticatedGenerator
              org.bouncycastle.cms.CMSAuthenticatedDataGenerator

    public class CMSAuthenticatedDataGenerator

extends CMSAuthenticatedGenerator

General class for generating a CMS authenticated-data message. A simple example of usage.

          CMSAuthenticatedDataGenerator  fact = new CMSAuthenticatedDataGenerator();

          fact.addKeyTransRecipient(cert);

          CMSAuthenticatedData         data = fact.generate(content, algorithm, "BC");

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.cms.CMSAuthenticatedGenerator
`CMSAuthenticatedGenerator.MacOutputStream`

Field Summary

Fields inherited from class org.bouncycastle.cms.CMSEnvelopedGenerator
`AES128_CBC, AES128_WRAP, AES192_CBC, AES192_WRAP, AES256_CBC, AES256_WRAP, CAMELLIA128_CBC, CAMELLIA128_WRAP, CAMELLIA192_CBC, CAMELLIA192_WRAP, CAMELLIA256_CBC, CAMELLIA256_WRAP, CAST5_CBC, DES_EDE3_CBC, DES_EDE3_WRAP, ECDH_SHA1KDF, ECMQV_SHA1KDF, IDEA_CBC, RC2_CBC, SEED_CBC, SEED_WRAP`

Constructor Summary
`CMSAuthenticatedDataGenerator()` base constructor
`CMSAuthenticatedDataGenerator(java.security.SecureRandom rand)` constructor allowing specific source of randomness

Method Summary
`CMSAuthenticatedData` `generate(CMSProcessable content, java.lang.String encryptionOID, java.security.Provider provider)` generate an authenticated object that contains an CMS Authenticated Data object using the given provider.
`CMSAuthenticatedData` `generate(CMSProcessable content, java.lang.String macOID, java.lang.String provider)` generate an authenticated object that contains an CMS Authenticated Data object using the given provider.

Methods inherited from class org.bouncycastle.cms.CMSAuthenticatedGenerator
`generateParameterSpec, getAlgorithmIdentifier`

Methods inherited from class org.bouncycastle.cms.CMSEnvelopedGenerator
`addKEKRecipient, addKeyAgreementRecipient, addKeyAgreementRecipient, addKeyTransRecipient, addKeyTransRecipient, addPasswordRecipient, generateParameters, getAlgorithmIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSAuthenticatedDataGenerator

    public CMSAuthenticatedDataGenerator()

  base constructor

### CMSAuthenticatedDataGenerator

    public CMSAuthenticatedDataGenerator(java.security.SecureRandom rand)

  constructor allowing specific source of randomness

  Parameters:
    `rand` - instance of SecureRandom to use

Method Detail

### generate

    public CMSAuthenticatedData generate(CMSProcessable content,
                                         java.lang.String macOID,
                                         java.lang.String provider)
                                  throws java.security.NoSuchAlgorithmException,
                                         java.security.NoSuchProviderException,
                                         CMSException

  generate an authenticated object that contains an CMS Authenticated Data object using the given provider.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `CMSException`

### generate

    public CMSAuthenticatedData generate(CMSProcessable content,
                                         java.lang.String encryptionOID,
                                         java.security.Provider provider)
                                  throws java.security.NoSuchAlgorithmException,
                                         CMSException

  generate an authenticated object that contains an CMS Authenticated Data object using the given provider.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `CMSException`

Bouncy Castle Cryptography Library 1.45